#
# spec file for package libpng (Version 1.2.12)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           libpng
License:        zlib/libpng License
Group:          System/Libraries
Url:            http://www.libpng.org/pub/png/libpng.html
AutoReqProv:    on
Version:        1.2.12
Release:        29
Summary:        Library for the Portable Network Graphics Format
Source:         libpng-%{version}.tar.bz2
Patch:          libpng-%{version}-setjmp.dif
Patch2:         libpng-%{version}-no-assembler.patch
Patch3:         libpng-%{version}-sPLT-chunk-CVE-2006-5793.patch
Patch4:         libpng-%{version}-tRNS-CVE-2007-2445.patch
Patch5:         libpng-%{version}-CVE-2007-5269.patch
Patch6:         libpng-%{version}-CVE-2008-1382.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libpng is the official PNG reference library.



Authors:
--------
    Andreas Dilger <adilger@enel.ucalgary.ca>

%debug_package
%package devel
License:        zlib/libpng License
Requires:       zlib-devel glibc-devel libpng = %{version}
Group:          Development/Libraries/C and C++
Summary:        Include Files and Libraries mandatory for Development.

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Andreas Dilger <adilger@enel.ucalgary.ca>

%prep
%setup
%patch
%patch2
%patch3
%patch4
%patch5
%patch6

%build
./autogen.sh
# We'll never use the old pgcc-2.95.1 with the buggy -O3, so having
# the -O3 that is originally used should work.
# Substitute the -O2 to -O3 because I'm not sure if simply appending
# it will preserve(not override) the detailed opt flags used in RPM_OPT_FLAGS:
CFLAGS="`echo $RPM_OPT_FLAGS|sed 's/-O2/-O3/'` -fstack-protector" \
  ./configure --prefix=/usr \
	      --libdir=%{_libdir} \
              --mandir=%{_mandir} 
make check

%install
make install DESTDIR=$RPM_BUILD_ROOT 

%clean
rm -rf "$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libpng*.so.*
%doc CHANGES README TODO ANNOUNCE KNOWNBUG Y2KINFO  LICENSE libpng.txt

%files devel
%defattr(-,root,root)
/usr/bin/*config
/usr/include/*
%{_libdir}/libpng*.a
%{_libdir}/libpng*.la
%{_libdir}/libpng*.so
%doc %{_mandir}/man3/libpng.3.gz
%doc %{_mandir}/man3/libpngpf.3.gz
%doc %{_mandir}/man5/png.5.gz
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Apr 11 2008 - nadvornik@suse.cz
- handle zero-length unknown chunks correctly
  CVE-2008-1382 [bnc#378634]
* Fri Oct 26 2007 - nadvornik@suse.cz
- fixed possible crashes on invalid input data
  CVE-2007-5269, [#332249]
* Thu May 10 2007 - nadvornik@suse.cz
- fixed crash on malformed tRNS chumk CVE-2007-2445 [#272642]
* Thu Nov 23 2006 - nadvornik@suse.cz
- fixed crash on malformed sPLT chunks CVE-2006-5793 [#219007]
* Mon Jul 17 2006 - nadvornik@suse.cz
- make sure PNG_NO_ASSEMBLER_CODE is used consistently
* Thu Jun 29 2006 - nadvornik@suse.cz
- updated to 1.2.12:
  * fixed possible buffer overflow [#189241]
* Wed Jun 21 2006 - nadvornik@suse.cz
- updated to 1.2.10:
  * use autoconf
  * many bugfixes
- libpng12-config no longer gives -Wl,-rpath,/usr/lib [#168627]
- spec file cleanup
* Fri Feb 24 2006 - nadvornik@suse.cz
- removed libpng-64bit.diff [#153106]
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - nadvornik@suse.cz
- compile with -fstack-protector
* Mon Oct 10 2005 - nadvornik@suse.cz
- fixed incorrect inline asm usage
* Thu May 19 2005 - ro@suse.de
- fix libdir in pkgconfig file libpng.pc
* Thu Jan 20 2005 - nadvornik@suse.cz
- updated to 1.2.8:
  * fixed crash of applications that strip the alpha channel
  * fixed invalid zlib header within the PNG datastream
* Mon Sep 27 2004 - sf@suse.de
-  fixed problem with wrong assumption for long on 64bit archs
  which prevents khunphan from working (#45738)
* Wed Aug 25 2004 - kukuk@suse.de
- Avoid /bin/sh PreRequires
* Mon Aug 16 2004 - nadvornik@suse.cz
- updated to 1.2.6: included security fixes
* Mon Jul 19 2004 - nadvornik@suse.cz
- fixed several buffer overflows [#43008]
* Wed Jun 16 2004 - nadvornik@suse.cz
- added missing part of pngtran overflow patch [#42043]
* Fri Apr 23 2004 - nadvornik@suse.cz
- fixed reading behind end of string [#39180]
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Fri Oct 10 2003 - adrian@suse.de
- add %%run_ldconfig
* Tue Apr 08 2003 - ro@suse.de
- fix tail calling syntax
* Mon Feb 10 2003 - nadvornik@suse.cz
- link the shared library with -lz -lm -lc again
* Wed Jan 29 2003 - kukuk@suse.de
- Fix libpng-devel requires (add zlib-devel) [Bug #23154]
* Fri Jan 24 2003 - sbrabec@suse.cz
- Added missing pkgconfig files to %%files.
* Tue Jan 07 2003 - nadvornik@suse.cz
- updated to 1.2.5
- fixed buffer overflow
* Wed Jul 31 2002 - coolo@suse.de
- fix libz dependency, so the resulting libpng is self containing
* Fri Jul 26 2002 - adrian@suse.de
- fix neededforbuild
* Wed Jul 24 2002 - nadvornik@suse.cz
- updated to 1.2.4:
  - fixed buffer overflow in pngpread.c when IDAT is
  corrupted with extra data
* Fri Jul 12 2002 - schwab@suse.de
- Fix makefile.
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Tue Jul 02 2002 - nadvornik@suse.cz
- updated to 1.2.3
- changed package version to match the version of source tarball
* Tue Mar 05 2002 - nadvornik@suse.cz
- fixed permissions for man pages
* Tue Feb 05 2002 - nadvornik@suse.cz
- added Provides: libpng:/usr/include/png.h to libpng-devel
* Thu Jan 31 2002 - nadvornik@suse.cz
- back to 1.0.12, libpng 1.2.x will be packed in separate package
- created devel subpackage to allow parallel instalation of
  shared libraries
* Wed Jan 09 2002 - nadvornik@suse.cz
- update to 1.2.1
- used macros %%{_lib} and %%{_libdir}
* Tue Dec 04 2001 - nadvornik@suse.cz
- update to 1.2.0
  - shared library version changed to 3.1.2.0
  - new API for dynamically enabling and disabling certain optimizations
- added Provides: libpng-devel for compatibility [bug #11978]
* Tue Jul 17 2001 - nadvornik@suse.cz
- update to 1.0.12
* Tue Apr 03 2001 - nadvornik@suse.cz
- update to 1.0.10
- used pnggccrd.c - MMX support on intel
* Tue Feb 13 2001 - nadvornik@suse.cz
- update to 1.0.9
* Fri Jan 19 2001 - bk@suse.de
- call pngtest program to have some tests that libpng works.
- don't remove -O3 when adding RPM_OPT_FLAGS(still do -O3 optimisations)
* Thu Jan 04 2001 - nadvornik@suse.cz
- changed rpm version to 2.1.0.8 (bug #5062)
- changed shared library name to libpng.so.2.1.0.8
* Wed Aug 23 2000 - nadvornik@suse.cz
- update to 1.0.8
* Tue Jul 11 2000 - adrian@suse.de
- seg fault fix in pngrutil.c
* Mon May 22 2000 - nadvornik@suse.cz
- changed group
- changed URL
* Sun Apr 30 2000 - kukuk@suse.de
- Make sure libpng.so.2 is linked against libz to avoid problems
  with missing dependencies.
* Mon Apr 10 2000 - nadvornik@suse.cz
- added URL
* Tue Apr 04 2000 - nadvornik@suse.cz
- update to 1.0.6
- added BuildRoot
* Tue Jan 25 2000 - ro@suse.de
- update to 1.0.5
- manpages to /usr/share using macro
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jun 29 1999 - ro@suse.de
- moved from /usr/X11R6 to /usr
* Mon Jun 28 1999 - ro@suse.de
- update to 1.0.3
* Wed Feb 17 1999 - ro@suse.de
- added .so.2 link
* Fri Jan 22 1999 - ro@suse.de
- bump version to 2.1.0 (the version of the installed library)
* Fri Mar 20 1998 - ro@suse.de
- extracted package from libgr tree
  update to version 1.0.1
